<mamecheat version="1">

  <cheat desc="Invincibility" tempvariables="15">
    <script state="on">
      <action>temp0 =maincpu.mb@0BE6</action>
      <action>temp1 =maincpu.mb@0BE7</action>
      <action>temp2 =maincpu.mb@0BE8</action>
      <action>temp3 =maincpu.mb@0BF4</action>
      <action>temp4 =maincpu.mb@0BF5</action>
      <action>temp5 =maincpu.mb@0BF6</action>
      <action>temp6 =maincpu.mb@0C0B</action>
      <action>temp7 =maincpu.mb@0C0C</action>
      <action>temp8 =maincpu.mb@0C0D</action>
      <action>temp9 =maincpu.mb@0C16</action>
      <action>temp10=maincpu.mb@0C17</action>
      <action>temp11=maincpu.mb@0C18</action>
      <action>temp12=maincpu.mb@0C24</action>
      <action>temp13=maincpu.mb@0C25</action>
      <action>temp14=maincpu.mb@0C26</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0BE6=00</action>
      <action>maincpu.mb@0BE7=00</action>
      <action>maincpu.mb@0BE8=00</action>
      <action>maincpu.mb@0BF4=00</action>
      <action>maincpu.mb@0BF5=00</action>
      <action>maincpu.mb@0BF6=00</action>
      <action>maincpu.mb@0C0B=00</action>
      <action>maincpu.mb@0C0C=00</action>
      <action>maincpu.mb@0C0D=00</action>
      <action>maincpu.mb@0C16=00</action>
      <action>maincpu.mb@0C17=00</action>
      <action>maincpu.mb@0C18=00</action>
      <action>maincpu.mb@0C24=00</action>
      <action>maincpu.mb@0C25=00</action>
      <action>maincpu.mb@0C26=00</action> <!-- Quick and Dirty-NOP out all five calls to 0171 -->
    </script>
    <script state="off">
      <action>maincpu.mb@0BE6=temp0 </action>
      <action>maincpu.mb@0BE7=temp1 </action>
      <action>maincpu.mb@0BE8=temp2 </action>
      <action>maincpu.mb@0BF4=temp3 </action>
      <action>maincpu.mb@0BF5=temp4 </action>
      <action>maincpu.mb@0BF6=temp5 </action>
      <action>maincpu.mb@0C0B=temp6 </action>
      <action>maincpu.mb@0C0C=temp7 </action>
      <action>maincpu.mb@0C0D=temp8 </action>
      <action>maincpu.mb@0C16=temp9 </action>
      <action>maincpu.mb@0C17=temp10</action>
      <action>maincpu.mb@0C18=temp11</action>
      <action>maincpu.mb@0C24=temp12</action>
      <action>maincpu.mb@0C25=temp13</action>
      <action>maincpu.mb@0C26=temp14</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@200F=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@2010=09</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
